Bug 1156479 - [rfe] switch to dnf repoquery
Summary: [rfe] switch to dnf repoquery
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1156487
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 14:39 UTC by Rahul Sundaram
Modified: 2015-05-30 15:41 UTC (History)
4 users (show)

Fixed In Version: fedora-review-0.6.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-30 15:41:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 14:39:01 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

fedora-review depends on yum-utils because it is using repoquery.  please use dnf repoquery and drop the dependency on yum-utils when you have switched over.

Thanks!

Comment 1 Tomas Tomecek 2015-05-14 12:49:26 UTC
This is a bug, not an RFE. fedora-review is basically unusable on f22 now.

Comment 2 Fedora Update System 2015-05-20 20:38:36 UTC
fedora-review-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fedora-review-0.6.0-1.fc22

Comment 3 Fedora Update System 2015-05-22 02:32:07 UTC
Package fedora-review-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8701/fedora-review-0.6.0-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-05-30 15:41:29 UTC
fedora-review-0.6.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.